## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-storage-plugin-fs
Version:        1.0.6
Release:        %autorelease
Summary:        Snakemake storage plugin that reads and writes from a local filesystem

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-fs
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-fs-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
A Snakemake storage plugin that reads and writes from a locally mounted
filesystem using rsync.}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-fs
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-fs %{common_description}


%prep
%autosetup -n snakemake-storage-plugin-fs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_storage_plugin_fs


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

%pytest -v tests/tests.py


%files -n python3-snakemake-storage-plugin-fs -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Aug 23 2024 Packit <hello@packit.dev> - 1.0.6-1
- Update to 1.0.6 upstream release
- Resolves: rhbz#2307482

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jul 05 2024 Packit <hello@packit.dev> - 1.0.5-1
- Update to 1.0.5 upstream release
- Resolves: rhbz#2295976

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.4-2
- Rebuilt for Python 3.13

* Thu Apr 25 2024 Packit <hello@packit.dev> - 1.0.4-1
- Update to 1.0.4 upstream release
- Resolves: rhbz#2277127

* Thu Apr 18 2024 Packit <hello@packit.dev> - 1.0.3-1
- Update to 1.0.3 upstream release
- Resolves: rhbz#2275832

* Tue Apr 16 2024 Packit <hello@packit.dev> - 1.0.2-1
- Update to 1.0.2 upstream release
- Resolves: rhbz#2275331

* Wed Feb 28 2024 Packit <hello@packit.dev> - 1.0.0-1
- [packit] 1.0.0 upstream release
- Resolves rhbz#2266563

* Tue Feb 20 2024 Packit <hello@packit.dev> - 0.2.0-1
- [packit] 0.2.0 upstream release
- Resolves rhbz#2265046

* Mon Jan 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.5-1
- Initial package (close RHBZ#2260782)
## END: Generated by rpmautospec
